<?xml version="1.0"?>
<rdf:RDF xmlns="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#"
     xml:base="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl"
     xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
     xmlns:owl="http://www.w3.org/2002/07/owl#"
     xmlns:xml="http://www.w3.org/XML/1998/namespace"
     xmlns:xsd="http://www.w3.org/2001/XMLSchema#"
     xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#">
    <owl:Ontology rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl">
        <owl:imports rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl"/>
    </owl:Ontology>



    <!--
    ///////////////////////////////////////////////////////////////////////////////////////
    //
    // Object Properties
    //
    ///////////////////////////////////////////////////////////////////////////////////////
     -->




    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#belongsTo -->

    <owl:ObjectProperty rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#belongsTo">
        <rdfs:subPropertyOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#presentableObjectProperty"/>
        <rdfs:domain>
            <owl:Class>
                <owl:unionOf rdf:parseType="Collection">
                    <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Data"/>
                    <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#OtherData"/>
                </owl:unionOf>
            </owl:Class>
        </rdfs:domain>
        <rdfs:range rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnalysisSet"/>
    </owl:ObjectProperty>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#hasBusinessSector -->

    <owl:ObjectProperty rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#hasBusinessSector">
        <rdfs:subPropertyOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#presentableObjectProperty"/>
        <rdfs:domain rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Organisation"/>
        <rdfs:range rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#BusinessSector"/>
    </owl:ObjectProperty>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#hasId -->

    <owl:ObjectProperty rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#hasId">
        <rdfs:subPropertyOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#presentableObjectProperty"/>
        <rdfs:domain rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Subject"/>
        <rdfs:range rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Identifier"/>
    </owl:ObjectProperty>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#hasLogType -->

    <owl:ObjectProperty rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#hasLogType">
        <rdfs:domain rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Data"/>
        <rdfs:range rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#LogType"/>
    </owl:ObjectProperty>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#hasName -->

    <owl:ObjectProperty rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#hasName">
        <rdfs:subPropertyOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#presentableObjectProperty"/>
        <rdfs:domain rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Organisation"/>
        <rdfs:range rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Name"/>
    </owl:ObjectProperty>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#hasOrganisation -->

    <owl:ObjectProperty rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#hasOrganisation">
        <rdfs:subPropertyOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#presentableObjectProperty"/>
        <rdfs:domain rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Subject"/>
        <rdfs:range rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Organisation"/>
    </owl:ObjectProperty>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#hasOwner -->

    <owl:ObjectProperty rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#hasOwner">
        <rdfs:subPropertyOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#presentableObjectProperty"/>
        <rdfs:domain>
            <owl:Class>
                <owl:unionOf rdf:parseType="Collection">
                    <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Data"/>
                    <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#OtherData"/>
                </owl:unionOf>
            </owl:Class>
        </rdfs:domain>
        <rdfs:range>
            <owl:Class>
                <owl:unionOf rdf:parseType="Collection">
                    <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Organisation"/>
                    <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Subject"/>
                </owl:unionOf>
            </owl:Class>
        </rdfs:range>
    </owl:ObjectProperty>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#hasRole -->

    <owl:ObjectProperty rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#hasRole">
        <rdfs:subPropertyOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#presentableObjectProperty"/>
        <rdfs:domain rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Subject"/>
        <rdfs:range rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnyRole"/>
    </owl:ObjectProperty>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#hasType -->

    <owl:ObjectProperty rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#hasType">
        <rdfs:subPropertyOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#presentableObjectProperty"/>
        <rdfs:domain>
            <owl:Class>
                <owl:unionOf rdf:parseType="Collection">
                    <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Data"/>
                    <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Log"/>
                    <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#OtherData"/>
                </owl:unionOf>
            </owl:Class>
        </rdfs:domain>
        <rdfs:range rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#DataType"/>
        <rdfs:range rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Log"/>
    </owl:ObjectProperty>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#isMemberOf -->

    <owl:ObjectProperty rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#isMemberOf">
        <rdfs:subPropertyOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#presentableObjectProperty"/>
        <rdfs:domain rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Subject"/>
        <rdfs:range rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Group"/>
    </owl:ObjectProperty>



    <!--
    ///////////////////////////////////////////////////////////////////////////////////////
    //
    // Classes
    //
    ///////////////////////////////////////////////////////////////////////////////////////
     -->




    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Admin -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Admin">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnyRole"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnalysisSet -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnalysisSet">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Term"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Analyst -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Analyst">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnyRole"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnalyticsResult -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnalyticsResult">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#DataType"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <owl:disjointWith rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Log"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnonymiseByExponentialMechanism -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnonymiseByExponentialMechanism">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:seeAlso>PRIVACY_HIGH,PRIVACY_MEDIUM,PRIVACY_LOW</rdfs:seeAlso>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnonymiseByGeneralization -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnonymiseByGeneralization">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>EmailRecipientAddress,EmailSenderAddress</rdfs:isDefinedBy>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnonymiseBySuppression -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnonymiseBySuppression">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>dst,dhost,dmac,dntdom,src,shost,smac,sntdom,msg,request</rdfs:isDefinedBy>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnonymiseCountsForMeanByPerturbation -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnonymiseCountsForMeanByPerturbation">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>in</rdfs:isDefinedBy>
        <rdfs:seeAlso>LAPLACE_HIGH,LAPLACE_MEDIUM,LAPLACE_LOW</rdfs:seeAlso>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnonymiseEmailBySuppression -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnonymiseEmailBySuppression">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>EmailBody</rdfs:isDefinedBy>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnonymiseIPsByRandomization -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnonymiseIPsByRandomization">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>src,dst</rdfs:isDefinedBy>
        <rdfs:seeAlso>UPPER_NETMASK_FULL_PRIVACY,UPPER_NETMASK_HIGH_PRIVACY,UPPER_NETMASK_MEDIUM_PRIVACY,UPPER_NETMASK_LOW_PRIVACY,LOWER_NETMASK_FULL_PRIVACY,LOWER_NETMASK_HIGH_PRIVACY,LOWER_NETMASK_MEDIUM_PRIVACY,LOWER_NETMASK_LOW_PRIVACY</rdfs:seeAlso>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnonymiseLocationsWithinRadius -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnonymiseLocationsWithinRadius">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>src,dst</rdfs:isDefinedBy>
        <rdfs:seeAlso>GEO_HIGH,GEO_MEDIUM,GEO_LOW</rdfs:seeAlso>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnonymizeDelimitedStringsBySuppression -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnonymizeDelimitedStringsBySuppression">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>src,dst</rdfs:isDefinedBy>
        <rdfs:seeAlso>UPPER_SUBSTRING_HIGH_PRIVACY,UPPER_SUBSTRING_MEDIUM_PRIVACY,UPPER_SUBSTRING_LOW_PRIVACY,LOWER_SUBSTRING_HIGH_PRIVACY,LOWER_SUBSTRING_MEDIUM_PRIVACY,LOWER_SUBSTRING_LOW_PRIVACY</rdfs:seeAlso>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AntiMalware -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AntiMalware">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#LogType"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnyRole -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnyRole">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Term"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#BusinessSector -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#BusinessSector">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Term"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Create -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Create">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#DPI -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#DPI">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Log"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Data -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Data">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Term"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#DataType -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#DataType">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Term"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#DatabaseRecord -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#DatabaseRecord">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#DataType"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <owl:disjointWith rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Log"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Delete -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Delete">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Email -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Email">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#DataType"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <owl:disjointWith rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Log"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#EncryptIPWithTransciphering -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#EncryptIPWithTransciphering">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>src,dst</rdfs:isDefinedBy>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#EncryptKreyvium-tbd -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#EncryptKreyvium-tbd">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>Param1,Param2,Param3</rdfs:isDefinedBy>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Filter -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Filter">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>Column1,Column2,Column3</rdfs:isDefinedBy>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Financial -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Financial">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#BusinessSector"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Firewall -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Firewall">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Log"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Group -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Group">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Term"/>
        <rdfs:isDefinedBy>User</rdfs:isDefinedBy>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Identifier -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Identifier">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Term"/>
        <rdfs:isDefinedBy>User</rdfs:isDefinedBy>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Integrity -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Integrity">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#LogType"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#InvokeBruteForceAttacksDetection -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#InvokeBruteForceAttacksDetection">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#InvokeConnToMaliciousHosts -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#InvokeConnToMaliciousHosts">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#InvokeDDosAttacksDetection -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#InvokeDDosAttacksDetection">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#InvokeDetectDGA -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#InvokeDetectDGA">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#InvokeFHEonIP -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#InvokeFHEonIP">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#InvokeMaliciousHostsAnalysis -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#InvokeMaliciousHostsAnalysis">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#InvokeMalwarePropagationModelling -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#InvokeMalwarePropagationModelling">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#InvokeMalwareSpreadingAnalysis -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#InvokeMalwareSpreadingAnalysis">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#InvokeMatchDGA -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#InvokeMatchDGA">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#InvokeOutbreakMalwareAnalysis -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#InvokeOutbreakMalwareAnalysis">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#InvokeServiceVulnerabilitiesSummary -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#InvokeServiceVulnerabilitiesSummary">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#InvokeShareDGA -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#InvokeShareDGA">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#InvokeSpamEmailAnalysis -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#InvokeSpamEmailAnalysis">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#InvokeSuspiciousDnsRequestsAnalysis -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#InvokeSuspiciousDnsRequestsAnalysis">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom>
                    <owl:Class>
                        <owl:unionOf rdf:parseType="Collection">
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#AnalysisSet"/>
                            <rdf:Description rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Data"/>
                        </owl:unionOf>
                    </owl:Class>
                </owl:allValuesFrom>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Log -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Log">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#DataType"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#LogInspection -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#LogInspection">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#LogType"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#LogType -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#LogType">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Term"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Name -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Name">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Term"/>
        <rdfs:isDefinedBy>User</rdfs:isDefinedBy>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Organisation -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Organisation">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Term"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#OtherData -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#OtherData">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Term"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Parties -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Parties">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Term"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#PseudonymiseIpAddress -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#PseudonymiseIpAddress">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#System"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:isDefinedBy>src,dst</rdfs:isDefinedBy>
        <rdfs:seeAlso>All,Top3,Top2,Top1</rdfs:seeAlso>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Read -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Read">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Action"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasObject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Data"/>
            </owl:Restriction>
        </rdfs:subClassOf>
        <rdfs:subClassOf>
            <owl:Restriction>
                <owl:onProperty rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#hasSubject"/>
                <owl:allValuesFrom rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Subject"/>
            </owl:Restriction>
        </rdfs:subClassOf>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Subject -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Subject">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Term"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#System -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#System">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#PresentableVocabularyItem"/>
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/upper_vocabulary.owl#Term"/>
    </owl:Class>



    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#WebReputation -->

    <owl:Class rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#WebReputation">
        <rdfs:subClassOf rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Log"/>
    </owl:Class>



    <!--
    ///////////////////////////////////////////////////////////////////////////////////////
    //
    // Individuals
    //
    ///////////////////////////////////////////////////////////////////////////////////////
     -->




    <!-- http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#LogType1 -->

    <owl:NamedIndividual rdf:about="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#LogType1">
        <rdf:type rdf:resource="http://localhost:7080/vocabularies/c3isp_vocabulary_3.2.owl#Log"/>
    </owl:NamedIndividual>
</rdf:RDF>



<!-- Generated by the OWL API (version 4.2.8.20170104-2310) https://github.com/owlcs/owlapi -->

